For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • GETGet one Shipment by Shipment Id
      • GETGet all Shipments for Order
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet Orders
      • POSTCreate Order
      • GETGet one Shipment by Order Id and Shipment Id
      • GETGet Order
      • GETGet one Shipment's status timeline by Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Shipment Id
      • POSTCancel single Order by Order ID
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet shipping methods
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Cancel multiple Shipments by Shipment Id

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2025-07/shipment:batchCancel
POST
/2025-07/shipment:batchCancel
$curl -X POST https://sandbox-api.shipbob.com/2025-07/shipment:batchCancel \
> -H "shipbob_channel_id: 1" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "shipment_ids": [
> 0
> ]
>}'
1{
2 "results": [
3 {
4 "action": "Cancel",
5 "is_success": true,
6 "reason": "string",
7 "shipment_id": 0
8 }
9 ]
10}
Was this page helpful?
Previous

Update Tracking Uploaded Status for Multiple Shipments by Shipment Id

Next

Estimate Fulfillment Cost For Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idintegerRequired
Channel ID for Operation

Request

The shipment IDs to cancel
shipment_idslist of integersOptional
Shipment IDs to cancel

Response

Success
resultslist of objects
The results of all cancellation actions

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error